Bug 5455 - (int-143104) Scrolling in IM conversation gets slow
(int-143104)
: Scrolling in IM conversation gets slow
Status: NEW
Product: Chat & Call & SMS
Messaging
: 5.0:(10.2010.19-1)
: N900 Windows
: Low normal with 17 votes (vote)
: ---
Assigned To: rtcomm@maemo.org
: im-chat-bugs
:
: performance
:
:
  Show dependency tree
 
Reported: 2009-10-15 00:22 UTC by Casper van Donderen
Modified: 2010-05-29 02:00 UTC (History)
14 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Casper van Donderen (reporter) 2009-10-15 00:22:14 UTC
SOFTWARE VERSION: Maemo Summit 41-10 firmware - account-plugin-haze using a
MSN-Haze account.

STEPS TO REPRODUCE THE PROBLEM:
Have a single conversation of several hours without closing the IM screen, when
the number of messages is pretty big (some 100+) it becomes almost impossible
to scroll. CPU usage while scrolling does not go to 100% according to the load
applet, so something else is probably wrong

EXPECTED OUTCOME: The scrolling stays speedy

ACTUAL OUTCOME: It becomes almost impossible to scroll

REPRODUCIBILITY: always
(always/sometimes/once)

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US)
AppleWebKit/532.0 (KHTML, like Gecko) Chrome/3.0.195.27 Safari/532.0
Comment 1 Keywan Najafi Tonekaboni 2009-10-16 12:38:08 UTC
I tried to reproduce the bug. I wrote over 100 jabber messages and tried to
scroll.
according to top cpu usage goes up to 70% (and I didn't run anything parallel).
I couldn't recognize a real slowdown. 

What did you had running when this error occurred?
Comment 2 Casper van Donderen (reporter) 2009-10-16 14:56:16 UTC
Maybe it was a combination of stuff then.
I was using the MSN account type with account-plugin-haze. Was driving in a
train @ 140km/h where the connection dropped in between and the guy on the
other side tried to send my a file over MSN (it does not even show a message on
the mobile-side that a picture is being sent).

I think changing this to WORKSFORME is good for the bookkeeping if it pops up
more  often in the future..
Comment 3 Keywan Najafi Tonekaboni 2009-10-16 18:36:25 UTC
okay, thank you for your bugreport
Comment 4 Ryan Abel maemo.org 2009-10-16 21:31:52 UTC
Getting this with just a dozen or so SMSs. Scrolling is about 3-4 FPS. I do
have the Haze plugins from Extras installed Only running XChat, FBReader and
one SMS window at the moment.
Comment 5 Mikhail Zabaluev nokia 2009-10-27 14:51:07 UTC
(In reply to comment #4)
> Getting this with just a dozen or so SMSs. Scrolling is about 3-4 FPS. I do
> have the Haze plugins from Extras installed Only running XChat, FBReader and
> one SMS window at the moment.

Is it affected in any way by restarting the device?
Just try scrolling the history 2-3 minutes after the bootup (to exclude
interference from prestarting apps), without opening anything else.
Comment 6 Andre Klapper maemo.org 2009-11-03 11:58:10 UTC
A top snapshots while reproducing this would helpful. Also to clarify:
1. Does is happen both upward and downwarnd scrolling?
2. Is it really "slow", as opposed to jerky?
Comment 7 Anton Aksola 2009-12-11 14:48:01 UTC
I can confirm this bug.

> 1. Does is happen both upward and downwarnd scrolling?
Yes both.

> 2. Is it really "slow", as opposed to jerky?

I would say that overall the scrolling in conversation is slower than elsewhere
but the main problem is with quick swipes. When doing that the scrollbar
indicator on the right stays on until you swipe again. So it seems like it
freezes until you swipe again.

Then again, if you do a long press and then swipe quickly, it works.

I'm able to reproduce this with both SMS and Google Talk.
Comment 8 Henri 2010-01-04 13:41:55 UTC
I can confirm this bug.

> 1. Does is happen both upward and downwarnd scrolling?
Yes both.

> 2. Is it really "slow", as opposed to jerky?

With slow swipes it's just slow and with quick swipes it gets jerky. It´s not
smooth as swiping/panning page in microb.

I'm able to reproduce this with SMS.

Installed extras:
Leafpad
zoutube
Supertux
Fm Radio
Copernicum
Maemo periodic
Battle Gweled
Htop
Stopish
Recorder
Maep

But i´am sure that this problem was before these extras were installed.
Comment 9 Matija 2010-01-14 23:52:59 UTC
*** This bug has been confirmed by popular vote. ***
Comment 10 Matija 2010-01-14 23:55:31 UTC
I'm confirming this too.
SMS or IM, it doesn't matter. Even if there is only a few messages scrolling is
always choppy and simply not good. Both ways.
Comment 11 Andre Klapper maemo.org 2010-01-15 14:19:23 UTC
(Updating Version field.)
Comment 12 Neil MacLeod maemo.org 2010-01-15 15:02:06 UTC
*** Bug 8045 has been marked as a duplicate of this bug. ***
Comment 13 Andre Klapper maemo.org 2010-01-15 18:51:52 UTC
*** Bug 8047 has been marked as a duplicate of this bug. ***
Comment 14 heiko 2010-01-26 13:57:28 UTC
i think there are two problems:

1. scroll framerate for most (except scrolling webpages) kinetic scrolling is
bad (or better to say not so good as seen on other (i)phones). see bug
https://bugs.maemo.org/show_bug.cgi?id=8017

2. scrolling in conversations (sms, skype etc.) apparently stops if the scroll
bar/indicator reaches the top and cpu load goes up. after a few seconds the
scroll bar gets smaller and scrolling continues.

top(1) shows the following:
 1484  1189 user     R    25036 10.1 56.3 /usr/sbin/browserd -s 1484 -n
RTComMessagingServer

so for me it looks like "old messages" gets loaded on-the-fly but it takes to
long to make the scroll experience "snooth"
Comment 15 Mikhail Zabaluev nokia 2010-01-26 14:13:11 UTC
(In reply to comment #14)
> 2. scrolling in conversations (sms, skype etc.) apparently stops if the scroll
> bar/indicator reaches the top and cpu load goes up. after a few seconds the
> scroll bar gets smaller and scrolling continues.

This is actually how we implemented it, and we have consciously abandoned the
idea of smooth scroll-up as fast as the user is panning.
We can try to further optimize performance of the document model pull-up, but I
don't think it is feasible to change this behavior in principle.
Comment 16 heiko 2010-01-26 22:49:04 UTC
(In reply to comment #15)
> (In reply to comment #14)
> > 2. scrolling in conversations (sms, skype etc.) apparently stops if the scroll
> > bar/indicator reaches the top and cpu load goes up. after a few seconds the
> > scroll bar gets smaller and scrolling continues.
> 
> This is actually how we implemented it, and we have consciously abandoned the
> idea of smooth scroll-up as fast as the user is panning.
> We can try to further optimize performance of the document model pull-up, but I
> don't think it is feasible to change this behavior in principle.
> 

i do understand that it may not be possible to make very fast scrolling smooth
on a device with limited resources. but in this case we dont talk about a
problem that only occurs while scrolling very fast. it also happens if i scroll
very very slow (about 5 sec. for one page). its always the same behavior. the
next part of the conversation is only loaded if the scroll bar reaches the top
of the screen. this way we get a very awful usage experince. not only because
it does look very awful if the smooth scroll suddenly just stops. also the user
may think he has reached the top of the conversation. the initial big size of
the scroll bar/indicator just makes it more likely that the users thinks he has
reached the top of the conversation. also that there is no "bounce" effect if
you have reached the real end/start of the conversation makes it more
confusing. scrolling in the "conversations overview" is much more userfriendly.

sorry if this was too much information for this bug report. just let me know if
i should file another bug report for one of those bugs/improvements.
Comment 17 Mikhail Zabaluev nokia 2010-01-27 11:36:36 UTC
(In reply to comment #16)
> i do understand that it may not be possible to make very fast scrolling smooth
> on a device with limited resources. but in this case we dont talk about a
> problem that only occurs while scrolling very fast. it also happens if i scroll
> very very slow (about 5 sec. for one page).

This kind of delay is not good. Bumping the severity.
Comment 18 Nelson Ferreira 2010-02-26 05:39:06 UTC
I see a severe delay not only when scrolling but also on the initial opening of
the conversation window when contact has a long history. I have had >30s delay.

Since there is no tool to export the conversation history I don't want to just
clear it to make it go away...

The history loaded should be limited to last X items, maybe 10,20
(configurable?)
Comment 19 Eitam Doodai 2010-04-25 15:42:19 UTC
I'd like to add that I have been experiencing the same
laggy / slow scrolling loading and entire interaction with conversation
application from day 1 with my N900.

I'd like to offer a solution :
If it's the chat history that is putting the stress on the scroll widget,
I suggest loading a configurable amount of history lines, and at the top append
"Tap to expand history (number of history lines left)" or something like that.
Similar to the way youtube allowed you to load more comments.
This way :
- You can load more history
- It stays snappy and fast
- The user knows how much more history he can see, and that there IS more
history to see.
Comment 20 Benedict Meier 2010-05-21 12:33:46 UTC
...good solution. perhaps then add timestamps also.
Comment 21 Neil MacLeod maemo.org 2010-05-26 01:12:11 UTC
Still barely usable scrolling in Conversations/IM app with PR1.2
(10.2010.19-1).

One thread, a weekly balance account I receive by SMS from my bank, is
impossible to scroll as it's so slow - each swipe to go back through the
history of SMS messages is interpreted as a tap/hold which opens each
individual SMS. Each mesage contains about 10-12 lines of balance entries, so
the individual messages (on screen) are quite "large".

Still, this is a show case application and it's got rubbish usability, pretty
much sums up Nokia.
Comment 22 hurth3x 2010-05-29 02:00:44 UTC
I also have a slight problem, but I'm unsure if it relates to this bug. Once
the oonversation is like 5x sms, bigger then the screen. Sending a sms or
recieving makes the whole conversation app refresh/flicker so to speak. The 1.1
firmware didn't have this issue I believe. But since 1.2 it does. When I clear
the history and sent a sms it looks smooth and efficient, but after 5 and more
sms in a conversation, the app refreshes.